commit:     e92bf2711afde51f33ddf4dca67f5ed5d647b5f6
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 13 07:42:39 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar 13 08:37:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e92bf271

dev-python/cfn-python-lint: Bump to 0.47.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/cfn-python-lint/Manifest                |  1 +
 .../cfn-python-lint/cfn-python-lint-0.47.2.ebuild  | 52 ++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/dev-python/cfn-python-lint/Manifest 
b/dev-python/cfn-python-lint/Manifest
index 97f876b314e..394b31c3ec2 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -3,3 +3,4 @@ DIST cfn-python-lint-0.44.7.tar.gz 5711448 BLAKE2B 
b38b90ca7d181dc655b07a0151aca
 DIST cfn-python-lint-0.46.0.tar.gz 6287874 BLAKE2B 
7ec2665596b50697c95e32b40f736822d718d4682d3a41f72b94e45f1b42a386d2d44cb5447826010c01ccd8da655e394b7379764e5e8ca2a79db22c274cc033
 SHA512 
b87751a719fc037dca2533bb8e14a483bc85d4460b73c7ef2a2d2fff188bd1c611d9828dbf13eca16781e21124123a85c723054bc460243df8ee9fcba5d8e104
 DIST cfn-python-lint-0.47.0.tar.gz 6326333 BLAKE2B 
450190ab374f491c034a93edfdb0d5c006c8468deee285dba676f055557f4017ecbfa68ffb10a052ea2d46aa4c6d94870261065e26bdd4a753978fca76778914
 SHA512 
b2349730993758578226253ae6ab942658bc3d9326d75ad1ec029ce093112697fb2a15ee63377dff210a33111de9940b391d276c0ff4894a2b68e545f1783fbb
 DIST cfn-python-lint-0.47.1.tar.gz 6446725 BLAKE2B 
b4e2ce6bfd51a919f93eb5a13d5318392b9e3483d6e8d4645f7c67b82e42075d047b9e565e488413dad9196f79a15b01639af158b0335f0c9360815fd276324b
 SHA512 
8f568d29e0857697fbb82962b6864bdfed930f052fd5f125e993222ebc17bd325ffea373261c0dda5cb899af3a8e4dcf9fbf8d06d32182e1679c491943811bf8
+DIST cfn-python-lint-0.47.2.tar.gz 6478541 BLAKE2B 
1955c6aa43512d4249741db982a6e4e5fe46daa3197d028590269d74690de2f67a1615e4907bfc434fb1e265770780a5c0da2a19c2bdfa8b44dfc7b0386e4405
 SHA512 
26e2e4cc26090e6da54ff0f90b9e35767e1d5677321cfb84ff00f820477d6ab576e7f58219346f48eb838dccf662df3a8a75e709cfa9690868d85130745f0cc8

diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild 
b/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild
new file mode 100644
index 00000000000..c3edcec5c4e
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.47.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/ 
https://github.com/aws-cloudformation/cfn-python-lint";
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+       >=dev-python/aws-sam-translator-1.25.0[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               dev-python/importlib_resources[${PYTHON_USEDEP}]
+       ' python3_6)
+       dev-python/jsonpatch[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+       dev-python/junit-xml[${PYTHON_USEDEP}]
+       dev-python/networkx[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+       "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+       # unpin the deps
+       sed -e 's:~=[0-9.]*::' -i setup.py || die
+       # requires git checkout
+       sed -e 's:test_update_docs:_&:' \
+               -i test/unit/module/maintenance/test_update_documentation.py || 
die
+       # requires Internet
+       sed -e 's:test_update_resource_specs_python:_&:' \
+               -i test/unit/module/maintenance/test_update_resource_specs.py 
|| die
+       distutils-r1_src_prepare
+}

Reply via email to